package com.pcloud.book.custom.mapper;


import com.pcloud.book.custom.entity.CustomTimeControlReply;

import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface CustomTimeControlReplyMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CustomTimeControlReply record);

    int insertSelective(CustomTimeControlReply record);

    CustomTimeControlReply selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CustomTimeControlReply record);

    int updateByPrimaryKey(CustomTimeControlReply record);

    void batchInsert(List<CustomTimeControlReply> customTimeControlReplies);

    void deleteByCustomTimeControlId(Integer id);

    List<CustomTimeControlReply> getSubscribeReplyList(Integer customTimeControlId);
}